#
# spec file for package python-Quandl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Quandl
Version:        3.4.0
Release:        bp153.1.21
Summary:        Package for quandl API access
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/quandl/quandl-python
Source:         https://github.com/quandl/quandl-python/archive/v%{version}.tar.gz
# PATCH_FIX_OPENSUSE license.patch
Patch1:         license.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module factory_boy}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module httpretty}
BuildRequires:  %{python_module inflection >= 0.3.1}
BuildRequires:  %{python_module jsondate}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module ndg-httpsclient}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy >= 1.8}
BuildRequires:  %{python_module pandas >= 0.14}
BuildRequires:  %{python_module pyOpenSSL}
BuildRequires:  %{python_module pyasn1}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module requests >= 2.7.0}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module unittest2}
# /SECTION
Requires:       python-inflection >= 0.3.1
Requires:       python-more-itertools
Requires:       python-numpy >= 1.8
Requires:       python-pandas >= 0.14
Requires:       python-python-dateutil
Requires:       python-requests >= 2.7.0
Requires:       python-six
BuildArch:      noarch

%python_subpackages

%description
Official Python library for Quandl's RESTful API.

%prep
%setup -q -n quandl-python-%{version}
%patch1 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.md LONG_DESCRIPTION.rst 2_SERIES_UPGRADE.md CHANGELOG.md FOR_ANALYSTS.md FOR_DEVELOPERS.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Mar 16 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 3.4.0 to fix boo#1129475
  * When returning a list of data, in a Python friendly format, convert datetime64 to datetime
  * Numpy no longer supports Python v3.3, thus we are removing support for it
* Thu Dec 21 2017 sebix+novell.com@sebix.at
- update to version 3.3.0
  * Unlock the version of requests to allow use with other modern packages
- remove setup_requirement.patch, not required anymore
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- initial package for version 3.2.1
- add setup_requirement.patch to remove the version from requirements
- add license.patch to add license
